View Single Post
Old 05-13-09, 05:36 PM   #1
uOpt
FreeBSD cheering section
 
uOpt's Avatar
 
Join Date: Nov 2004
Location: Boston, MA, USA
Posts: 609
Default Signal 11 with legacy-173/amd64/kernel-2.6.2[68]

Are the 173 legacy drivers known to work with kernels 2.6.26-2.6.28 using 64 bit code?

I have to use the legacy drivers on this dual-single-core Opteron (AMD 81xx AGP chipset) with AGP FX 5200.

I get the following error in both 2.6.26 and 2.2.68:

Code:
[...]
(II) Initializing extension GLX

Backtrace:
0: X(xf86SigHandler+0x6a) [0x48dd0a]
1: /lib/libc.so.6 [0x7f12d6a04f60]
2: X(SecurityExtensionInit+0x68d) [0x510f1d]
3: X(InitExtensions+0x8a) [0x4b1c5a]
4: X(main+0x2f0) [0x436a20]
5: /lib/libc.so.6(__libc_start_main+0xe6) [0x7f12d69f11a6]
6: X(FontFileCompleteXLFD+0x281) [0x435e99]

Fatal server error:
Caught signal 11.  Server aborting

(II) Screen 0 shares mem & io resources
(II) Screen 1 shares mem & io resources
Does this sound familiar?

I use 173.14.12 successfully under i386 (32 bit) with 2.6.24.3 on the same machine (same card etc, dual-boot i386/amd64).

Before I go on a binary search to look for the newest working drivers, is there anything known about the status of the drivers.

After the above error the console is not restored, I'm left with a blank screen.
__________________

My Unix benchmark results
uOpt is offline   Reply With Quote